--- old/exception_lists/packaging	Sun Mar 18 01:13:10 2018
+++ new/exception_lists/packaging	Sun Mar 18 01:13:10 2018
@@ -740,10 +740,11 @@
 usr/lib/smbsrv/fksmbd
 usr/lib/smbsrv/libfksmbsrv.so
 usr/lib/smbsrv/libfksmbsrv.so.1
+usr/lib/smbsrv/libmlsvc.so
+usr/lib/smbsrv/libsmb.so
+usr/lib/smbsrv/libsmbns.so
 usr/lib/smbsrv/llib-lfksmbsrv
 usr/lib/smbsrv/llib-lfksmbsrv.ln
-usr/lib/smbsrv/llib-lmlrpc
-usr/lib/smbsrv/llib-lmlrpc.ln
 usr/lib/smbsrv/llib-lmlsvc
 usr/lib/smbsrv/llib-lmlsvc.ln
 usr/lib/smbsrv/llib-lsmb
@@ -788,8 +789,21 @@
 #
 usr/include/sys/sdcard
 #
-# libsmbfs is private
+# libmlrpc is private (SMB client and server)
 #
+usr/include/libmlrpc
+usr/lib/libmlrpc.so
+usr/lib/amd64/libmlrpc.so		i386
+usr/lib/amd64/libmlrpc.so.2		i386
+usr/lib/sparcv9/libmlrpc.so		sparc
+usr/lib/sparcv9/libmlrpc.so.2		sparc
+usr/lib/llib-lmlrpc
+usr/lib/llib-lmlrpc.ln
+usr/lib/amd64/llib-lmlrpc.ln		i386
+usr/lib/sparcv9/llib-lmlrpc.ln		sparc
+#
+# libsmbfs is private (SMB client and server)
+#
 usr/include/netsmb
 usr/lib/libsmbfs.so
 usr/lib/amd64/libsmbfs.so		i386
--- old/usr/src/pkg/manifests/service-file-system-smb.mf	Sun Mar 18 01:13:10 2018
+++ new/usr/src/pkg/manifests/service-file-system-smb.mf	Sun Mar 18 01:13:10 2018
@@ -73,6 +73,7 @@
 file path=usr/kernel/kmdb/$(ARCH64)/smbsrv group=sys mode=0555
 file path=usr/lib/fs/smb/$(ARCH64)/libshare_smb.so.1
 file path=usr/lib/fs/smb/libshare_smb.so.1
+file path=usr/lib/libmlrpc.so.2
 file path=usr/lib/mdb/kvm/$(ARCH64)/smbsrv.so group=sys mode=0555
 file path=usr/lib/reparse/libreparse_smb.so.1
 file path=usr/lib/security/pam_smb_passwd.so.1
@@ -83,7 +84,6 @@
 file path=usr/lib/smbsrv/dtrace/smbnode.d mode=0555
 file path=usr/lib/smbsrv/dtrace/smbsrv.d mode=0555
 file path=usr/lib/smbsrv/dtrace/smbvfs.d mode=0555
-file path=usr/lib/smbsrv/libmlrpc.so.1
 file path=usr/lib/smbsrv/libmlsvc.so.1
 file path=usr/lib/smbsrv/libsmb.so.1
 file path=usr/lib/smbsrv/libsmbns.so.1
@@ -109,7 +109,3 @@
 license lic_CDDL license=lic_CDDL
 link path=usr/lib/reparse/libreparse_smb.so target=libreparse_smb.so.1
 link path=usr/lib/security/pam_smb_passwd.so target=pam_smb_passwd.so.1
-link path=usr/lib/smbsrv/libmlrpc.so target=libmlrpc.so.1
-link path=usr/lib/smbsrv/libmlsvc.so target=libmlsvc.so.1
-link path=usr/lib/smbsrv/libsmb.so target=libsmb.so.1
-link path=usr/lib/smbsrv/libsmbns.so target=libsmbns.so.1
